## libsdl2 2.24.0+dfsg

=== debian/changelog ===
libsdl2 (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Functionally equivalent to 2.23.2+dfsg-4
  * Drop patches that were applied upstream
  * d/watch, d/gbp.conf, d/control: Go back to unstable branch
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Aug 2022 11:45:00 +0100

libsdl2 (2.23.2+dfsg-4) experimental; urgency=medium

  * d/patches: Update to upstream commit prerelease-2.23.2-21-g6e007c36e

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Aug 2022 10:22:45 +0100

libsdl2 (2.23.2+dfsg-3) experimental; urgency=medium

  * d/patches: Update to upstream commit prerelease-2.23.2-17-g51be30f3c,
    excluding CI-only changes

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Aug 2022 17:38:47 +0100

libsdl2 (2.23.2+dfsg-2) experimental; urgency=medium

  * d/patches: Update to upstream prerelease-2.23.2-10-g9670d2bb9,
    excluding changes specific to non-Linux platforms (macOS and PS2)

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 12:34:50 +0100

libsdl2 (2.23.2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate
  * d/p/core-linux-Don-t-cache-the-RealtimeKit-D-Bus-connection.patch,
    d/p/Add-SDL_JOYBATTERYUPDATED-event-to-SDL_JoystickEventState.patch:
    Add post-release bugfixes from upstream
  * d/p/no-libdir.patch: Redo to cope with changes to how static linking
    is handled upstream
  * d/libsdl2-2.0-0.symbols: Update
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Aug 2022 19:34:25 +0100

libsdl2 (2.23.1+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Use GitHub to download releases
  * d/watch: Download prereleases for experimental branch
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 12:13:59 +0100

libsdl2 (2.0.22+dfsg-6) unstable; urgency=medium

  * d/watch: Use GitHub to download releases
  * d/rules: Wrap configure flags one per line, and sort them.
    This reduces the diff when we change them.
  * d/rules: Explicitly disable use of libraries we don't build-depend on.
    SDL doesn't build-depend on JACK or the proprietary bcm_host and Vivante
    graphics APIs, so these would not get enabled in official Debian builds.
    For reproducibility, if they happen to be installed on a system where a
    contributor is doing their own local build, don't enable them
    there either.
    - In particular, this ensures that the old bcm_host driver for
      Raspberry Pi is not enabled. This is an outdated kernel driver which
      has been superseded by KMS/DRM. (Closes: #1012863)
  * d/rules: Explicitly disable auto-detection of other OSs' drivers.
    This ensures that they are not enabled if compatible headers are
    somehow available locally. Note that --disable-xinput refers to Windows
    XInput (an API for Xbox-360-compatible game controllers) and should not
    be confused with --enable-video-x11-xinput.
  * d/rules: Explicitly enable library dependencies we intend to enable

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:14:50 +0100

libsdl2 (2.0.22+git20220615+g960b86d+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * d/p/cmake-Fix-static-linking-to-dependencies-with-in-library-.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jun 2022 14:04:37 +0100

libsdl2 (2.0.22+git20220612+gbdf1413+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * Update symbols file
  * d/p/no-libdir.patch: Refresh for new upstream git snapshot
  * Merge packaging from unstable
    - d/p/345efdcb.patch: Drop, included in new upstream git snapshot
  * d/copyright: Update
  * d/p/cmake-Fix-static-linking-to-dependencies-with-in-library-.patch:
    Add proposed patch to fix SDL2::SDL2-static target in our configuration

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jun 2022 12:07:53 +0100

libsdl2 (2.0.22+dfsg-5) unstable; urgency=medium

  * debian/patches/345efdcb.patch:
    - cherry-pick upstream fix for arm64 test failure due to race condition.
      (LP: #1976288)
  * revert Ubuntu arm64 hack, now that upstream properly fixed it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jun 2022 11:50:18 +0200

libsdl2 (2.0.22+git20220530+g3c3c025+dfsg-1) experimental; urgency=medium

  * Merge packaging from unstable
  * New upstream git snapshot
  * Refresh patches

 -- Simon McVittie <smcv@debian.org>  Tue, 31 May 2022 13:26:32 +0100

libsdl2 (2.0.22+dfsg-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Ignore tests if the system is Ubuntu and architecture arm64,
    requiring some real new hw to complete successfully
    (workaround for LP: #1976288)

  [ Simon McVittie ]
  * d/control: Remove Sam Hocevar from Uploaders,
    with thanks for past contributions (Closes: #1011583)
  * d/tests/installed-tests: Assert that at least one test was run
  * d/control: Add missing dependencies for static linking
    (Closes: #1012088, LP: #1976198)
  * d/tests/cmake: Exercise static linking to SDL
  * Standards-Version: 4.6.1 (no changes required)
  * Only skip testatomic on Ubuntu, not the rest of the test suite.
    This lets us get at least some confidence that the package is working.

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2022 16:43:30 +0100

libsdl2 (2.0.22+git20220524+g5dee082+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
    - Avoid implicit promotion from float to double (Closes: #1011014)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 May 2022 18:06:53 +0100

libsdl2 (2.0.22+git20220518.g4cb57bf+dfsg-1) experimental; urgency=medium

  * New upstream git snapshot
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Wed, 18 May 2022 20:57:32 +0100

libsdl2 (2.0.22+git20220508.gc71ee68+dfsg-1) experimental; urgency=medium

  * d/gbp.conf, d/control: Branch for experimental
  * New upstream git snapshot
    - Drop patches that were applied upstream

