## libsdl2 2.26.2+dfsg

=== debian/changelog ===
libsdl2 (2.26.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Jan 2023 08:59:33 +0000

libsdl2 (2.26.1+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches for Logitech G29 regression, applied upstream
  * d/gbp.conf: Use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Dec 2022 10:57:42 +0000

libsdl2 (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use stable release 2.26.0 for all symbols new in 2.25.x
  * d/watch: Only watch for 2.x versions.
    Development has started on SDL 3, which will be incompatible, and
    should be packaged as a parallel libsdl3 source package.
  * Add post-release patches to fix regression for Logitech G29.
    We want this to show up as a steering wheel, not a Playstation gamepad.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Nov 2022 21:52:45 +0000

libsdl2 (2.25.1+dfsg-1) experimental; urgency=medium

  * d/control, d/gbp.conf: Branch for experimental
  * New upstream development release
    - Drop patches that were included upstream
  * d/.gitignore: Add
  * d/clean: Clean up files that are modified by the build
  * Update symbols file
  * Normalize symbols file to use stable releases where possible.
    We don't need to generate fine-grained dependencies on specific
    betas, release candidates and git snapshots: for smooth upgrades from
    older Debian releases, it's enough to know which stable release is
    the minimum.

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Nov 2022 19:32:23 +0000

libsdl2 (2.24.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release
    - Includes a change to fix a test failure on 32-bit big-endian
      (hppa, mips, powerpc). Thanks to Helge Deller (Closes: #1021310)
  * d/p/build-Expand-version-info-in-SDL_REVISION-and-SDL_GetRevi.patch,
    d/p/build-Add-a-mechanism-to-mark-builds-with-vendor-info.patch:
    Backport patches from upstream git to add vendor information to binaries

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Nov 2022 22:14:15 +0000

libsdl2 (2.24.1+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/p/cmake-always-create-SDL2-SDL2main-target-in-autotools-cma.patch,
    d/p/cmake-fix-location-of-SDL2-SDL2test-imported-library.patch,
    d/p/configure.ac-fix-configure-tests-broken-with-Clang-15-imp.patch,
    d/p/apply-commit-d0a3570300812bc81888e7a7eadb9311621dc9a7-to-.patch,
    d/p/Fix-incorrect-return-value-in-X11_GetPixelFormatFromVisua.patch,
    d/p/Fix-SDL_PIXELFORMAT_INDEX1LSB-test-case.patch,
    d/p/Fixed-bug-6287-SDL_FillRect-failed-for-SDL_Surface-with-B.patch:
    Drop patches, included upstream
  * d/control: (Build-)Depend on libegl-dev instead of libegl1-mesa-dev
  * d/control: Drop (Build-)Depends on libglu1-mesa-dev, no longer required
  * d/rules, d/control: Make libsamplerate a hard dependency

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:17:19 +0100

libsdl2 (2.24.0+dfsg-2) unstable; urgency=medium

  * d/p/cmake-always-create-SDL2-SDL2main-target-in-autotools-cma.patch,
    d/p/cmake-fix-location-of-SDL2-SDL2test-imported-library.patch,
    d/p/configure.ac-fix-configure-tests-broken-with-Clang-15-imp.patch,
    d/p/apply-commit-d0a3570300812bc81888e7a7eadb9311621dc9a7-to-.patch,
    d/p/Fix-incorrect-return-value-in-X11_GetPixelFormatFromVisua.patch,
    d/p/Fix-SDL_PIXELFORMAT_INDEX1LSB-test-case.patch,
    d/p/Fixed-bug-6287-SDL_FillRect-failed-for-SDL_Surface-with-B.patch:
    Add various bug fixes from upstream release-2.24.x branch
  * d/tests: Add a test for linking to SDL2::SDL2main (and also C++)
    Thanks: quyykk
  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Oct 2022 12:50:33 +0100
