=== debian/changelog ===
libsdl2 (2.26.3+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.3
    - No changes relevant to Unix platforms
  * d/copyright: Update
  * Add patch from upstream fixing sandbox detection.
    In particular, when backported into the Steam Runtime this will fix game
    controller hotplugging in Proton games.

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Feb 2023 11:16:09 +0000
