## libsdl2 2.26.4+dfsg

=== debian/changelog ===
libsdl2 (2.26.4+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Apr 2023 16:03:51 -0700

libsdl2 (2.26.4+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.4
    - Game controller mappings no longer overwrite existing mappings with
      the same vendor/product but a different hardware version, fixing
      axis/button mapping for some game controllers with older drivers
      or firmware (SDL#7421)
    - A Windows-specific fix not relevant to Debian
    - Reformatting in test/testime.c is not relevant to Debian
  * d/p/Fixed-Steam-Runtime-sandbox-detection.patch:
    Drop patch, applied upstream
  * d/p/Fixed-handling-simple-mode-PS4-reports.patch:
    Fix some Playstation 4 controllers not providing input in raw HID mode
    (regression in 2.25.1, SDL#7270)

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Mar 2023 10:49:35 +0000
