=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Simon McVittie <smcv@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               fcitx-libs-dev,
               libasound2-dev [linux-any],
               libdbus-1-dev,
               libdecor-0-dev [linux-any],
               libdrm-dev [linux-any],
               libegl-dev [!hurd-any],
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev [!hurd-any],
               libibus-1.0-dev,
               libpipewire-0.3-dev (>= 0.3.20) [linux-any],
               libpulse-dev,
               libsamplerate0-dev,
               libsndio-dev,
               libudev-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               libusbhid-dev [kfreebsd-any],
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.18) [linux-any],
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev (>= 0.5.0),
               libxrandr-dev,
               libxss-dev,
               libxt-dev,
               libxv-dev,
               libxxf86vm-dev,
               pkg-config,
               wayland-protocols
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
Homepage: https://www.libsdl.org/
Rules-Requires-Root: no

Package: libsdl2-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xdg-utils
Conflicts: libsdl-1.3-0
Replaces: libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
 ALSA, sndio and PulseAudio sound drivers.

Package: libsdl2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasound2-dev [linux-any],
         libdbus-1-dev,
         libdecor-0-dev [linux-any],
         libdrm-dev [linux-any],
         libegl-dev [!hurd-any],
         libgbm-dev [linux-any],
         libgl-dev,
         libgles-dev [!hurd-any],
         libibus-1.0-dev,
         libpulse-dev,
         libsamplerate0-dev,
         libsdl2-2.0-0 (= ${binary:Version}),
         libsndio-dev,
         libudev-dev [linux-any],
         libusb2-dev [kfreebsd-any],
         libusbhid-dev [kfreebsd-any],
         libwayland-dev [linux-any],
         libx11-dev,
         libxcursor-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxinerama-dev,
         libxkbcommon-dev,
         libxrandr-dev,
         libxss-dev,
         libxt-dev,
         libxv-dev,
         libxxf86vm-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsdl-1.3-dev
Replaces: libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Breaks: libsdl2-dev (<< 2.0.4+dfsg-1)
Replaces: libsdl2-dev (<< 2.0.4+dfsg-1)
Description: Reference manual for libsdl2
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the reference manual and examples.

Package: libsdl2-tests
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnome-desktop-testing
Breaks: libsdl2-dev (<< 2.0.22+dfsg-2~)
Replaces: libsdl2-dev (<< 2.0.22+dfsg-2~)
Description: Simple DirectMedia Layer automated and manual tests
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains manual and automated tests. The automated tests can
 be run using ginsttest-runner in the gnome-desktop-testing package,
 or manually.
