=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	--disable-jack \
 	--disable-joystick-mfi \
 	--disable-kmsdrm-shared \
+	--disable-libsamplerate-shared \
 	--disable-nas \
 	--disable-pulseaudio-shared \
 	--disable-render-d3d \
@@ -39,6 +40,7 @@
 	--enable-pulseaudio \
 	--enable-sdl2-config \
 	--enable-sndio \
+	--enable-vendor-info="${DEB_VENDOR} ${DEB_VERSION}" \
 	--enable-video-kmsdrm \
 	--enable-video-opengl \
 	--enable-video-opengles \
@@ -179,3 +181,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
