## libsdl2 2.26.5%2Bdfsg

=== debian/changelog ===
libsdl2 (2.26.5+dfsg-1revyos1) unstable; urgency=medium

  * Disable opengl

 -- Han Gao <gaohan@iscas.ac.cn>  Fri, 09 Jun 2023 01:33:45 +0800

libsdl2 (2.26.5+dfsg-1) unstable; urgency=medium

  * New upstream stable release 2.26.5
    - Improve quality and performance of audio resampling by using
      more integer arithmetic
    - Ignore CRC of Bluetooth packets from PS4-compatible controllers
      in raw HID mode if consistently wrong, fixing 8BitDo SN30 Pro with
      2.00 firmware
    - Add support for digital-only trigger buttons on PS5-compatible
      controllers such as Victrix Pro FS in raw HID mode
    - Fix crash when using fcitx if libdbus cannot be initialized
    - Ensure declarations needed for SDL_assert_always() are present even
      if a dependent project is built with -DSDL_ASSERT_LEVEL=0
    - Report SDL_RENDERER_PRESENTVSYNC flag back to the application if
      vsync is being simulated
    - Avoid string truncation when logging events
    - Fix compilation with -std=c2x compilers
    - Update list of known game controllers:
      + Remove mappings for a generic USB joystick controller
        (vendor ID 0x0079, product ID 0x0006, version 0x0000 or 0x6120)
        which cannot usefully be matched to a specific product
      + Add mapping for 8BitDo Pro 2 Wired Controller for Xbox
        via in-tree xpad driver or out-of-tree xone driver
      + Add mapping for Elecom 8button gamepad
      + Add mapping for Flydigi Vader 2 with the latest firmware (6.0.4.9)
      + Add mapping for Google Stadia Controller over Bluetooth
      + Add mapping for Hori Pokken Tournament DX Pro Pad
      + Add mapping for Sony DualSense Edge Wireless Controller via
        Bluetooth and evdev
      + Add mapping for Ultimate Atari Fight Stick
      + Respect SDL_GAMECONTROLLER_USE_BUTTON_LABELS hint for Retrolink
        SNES controller
      + Sort the list in a canonical order
      + Various Android mapping fixes not relevant to Debian
    - Various Android-, macOS- and Windows-specific fixes not relevant
      to Debian
  * d/p/Fixed-handling-simple-mode-PS4-reports.patch:
    Drop patch, included in the upstream release
  * d/gbp.conf: Use upstream/2.26.x branch for bookworm

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Apr 2023 09:41:21 +0100
