=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	--enable-sndio \
 	--enable-vendor-info="${DEB_VENDOR} ${DEB_VERSION}" \
 	--enable-video-kmsdrm \
-	--enable-video-opengl \
+	--disable-video-opengl \
 	--enable-video-opengles \
 	--enable-video-opengles2 \
 	--enable-video-x11 \
@@ -181,7 +181,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
